# 构建 kibana 镜像

## 导入文件
- [下载 kibana-$VERSION-linux${ARCH:--x86_64}.tar.gz](https://www.elastic.co/cn/downloads/kibana)

## 定制
- 创建日志目录和插件目录
- 在启动参数中指定数据目录和日志目录，覆盖配置文件

## 外挂目录和文件
- /opt/kibana/config: kibana 配置目录
- /opt/kibana/data: kibana 数据目录
- /opt/kibana/logs: kibana 日志目录
- /opt/kibana/plugins: kibana 插件目录
- /opt/kibana/offline-plugins: kibana 离线插件目录，把离线插件文件(xxxx.zip)放在该目录下，重启容器后可以自动安装

## 引入环境变量
- NODE_OPTIONS: kibana 启动参数
- \_CONF\_\*: kibana 配置

## 案例
- [Demo/SingleNode/](Demo/SingleNode/): 启动 kibana

