# 部署 MySQL 单节点

- 按实际环境修改
    - docker-compose.yml
    - mysql/my.cnf

- 创建目录
    ```
    grep '\<source:' docker-compose.yml | cut -d: -f2 | xargs mkdir -p
    ```

- 启动
    ```
    docker-compose up -d
    ```

- 查看日志，直至出现 "MySQL is ready for connections."
    ```
    docker-compose logs mysql
    ```

