# 构建 prometheus 镜像

## 定制
- 安装 prometheus alertmanager grafana loki unzip
- 固定一些常用配置

## 外挂目录和文件
- /etc/prometheus: 配置文件目录
- /var/log/prometheus: 日志目录
- /var/lib/prometheus: 数据目录

## 引入环境变量
- PROMETHEUS_OPTS: prometheus 启动参数
- ALERTMANAGER_OPTS: alertmanager 启动参数
- GRAFANA_OPTS: grafana 启动参数
- LOKI_OPTS: loki 启动参数

## 案例
- [Demo/SingleNode/](Demo/SingleNode/): 部署 prometheus

