# 构建 xxl-job 镜像

## 定制
- 开启 app.jar

## 外挂目录和文件
- /data/applogs: 日志目录
- /opt/logs: 日志目录

## 引入环境变量
- JAVA_OPTS: jvm 参数

## 案例
- 开源社区地址 https://www.xuxueli.com/xxl-job/
- 调度中心访问地址：http://localhost:8080/xxl-job-admin (该地址执行器将会使用到，作为回调地址)

- 默认登录账号 “admin/123456”, 登录后运行界面如下图所示。
- 数据库在源码中  xxl-job-2.3.1/doc/db/tables_xxl_job.sql
- 配置文件地址 /xxl-job/xxl-job-admin/src/main/resources/application.properties
- 导入数据库后 需要创建 用户密码

```
    create user admin@'%' identified by 'Cm_dwh_1234';
    grant  all on xxl_job.* to admin@'%';
```
