# 构建 datax 镜像

## 导入文件
- [下载 datax.tar.gz](https://github.com/alibaba/DataX)

## 定制
- 删除自带的 mysql-connector-java-5，换成 mysql-connector-java-8
- 启动脚本换成 shell，弃用原来的 python 脚本

## 外挂目录和文件
- /opt/datax/log: job 日志目录
- /opt/datax/log_perf: 性能日志目录
- /opt/datax/job: job 文件目录

## 引入环境变量
- JAVA_OPTS: jdk 参数，默认 "-Xms1g -Xmx1g"
- TIMEOUT: 每个任务的超时时间，默认 "10m"(10 分钟)
- MAX_PROCS: 最大并行任务数量，默认 1，即串行

## 案例
- [Demo/SingleProc/](Demo/SingleProc/): 每次执行单个 job
- [Demo/MultiProc/](Demo/MultiProc/): 并行多个 job

