# 构建 greatsql 8.0 镜像

## 定制
- 安装 greatsql 8.0
- 固定一些常用配置
- 第一次启动时，会执行如下操作
    - 初始化数据目录
    - 自动创建一个只有 shutdown 权限的普通用户，该用户用于优雅停止 greatsql，__不要修改该用户任何信息__
    - 自动执行 {mysql-log}/init_sql/ 下的 xxxx.sql 文件

## 外挂目录和文件
- /etc/my.cnf: mysql 配置文件
- /var/lib/mysql: mysql 数据目录
- /var/lib/mysql-bin: mysql binlog 目录
- /var/log/mysql: mysql 日志目录

## 案例
- 参考 mysql

